\name{clickEvent-methods}
\docType{methods}
\alias{clickEvent-methods}
\alias{clickEvent,spreadView-method}
\alias{clickEvent,sPlotView-method}
\alias{clickEvent,heatmapView-method}
\alias{clickEvent,graphView-method}
\alias{clickEvent,qqPlotView-method}
\title{ clickEvent responds to a click event on a view }
\description{
  The clickEvent method is called when a click event occurs on a view.  This
  method responds to the click event by calling the active callback function
  (if there is one) to ensure that the appropriate response occurs for this
  event.  To set the callback function for this event, use the function,
  setCallFunc. 
}
\section{Methods}{
\describe{

\item{object = "spreadView"}{ For an object of class spreadView, the
clickEvent method is called whenever a user selects or unselects a row on
the spreadsheet. }

\item{object = "sPlotView"}{ For an object of class sPlotView, the clickEvent
method is called whenever a user clicks a button (left, middle, or right
mouse button) over the view. }

\item{object = "heatmapView"}{ For an object of class heatmapView, the
clickEvent method is called whenever a user clicks a button (left, middle, or
right mouse button) over the view. }

\item{object = "graphView"}{ For an object of class graphView, the clickEvent
method is called whenever a user clicks a button (left, middle, or right mouse
button) over the view. }

\item{object = "qqPlotView"}{ For an object of class qqPlotView, the clickEvent
method is called whenever a user clicks a button (left, middle, or right
mouse button) over the view. }
}}
\keyword{methods}

