\name{createGraphPlot}
\alias{createGraphPlot}
\title{ Creates an interactive graph plot }
\description{
  The createGraphPlot function will provide the same functionality as choosing
  the Plot Graph menu item from the Display menu on the control window.
  Creating a graph plot can only be performed when the active MVC object has a
  model with class 'graphModel' (i.e. the model must be a graph).
}
\usage{
createGraphPlot(layout = "dot", nodeShape = "circle")
}
\arguments{
  \item{layout}{ the layout method for the graph plot (can be "dot", "neato",
  or "twopi"  }
  \item{nodeShape}{ the shape of the nodes (can be "circle", "ellipse", or
  "rectangle" }
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link[Rgraphviz]{agopen}} 
}
\examples{
  if (interactive())
  {
    set.seed(123)
    V <- letters[1:10]
    M <- 1:4
    g1 <- randomGraph(V, M, .2)
    loadData(modelData=g1, dataName="graph1", typeModel="graph")
    setActiveMVC("graph1")
    createGraphPlot()
  }
}
\keyword{ device }

