\name{createHeatmap}
\alias{createHeatmap}
\title{ Creates a heatmap }
\description{
  The createHeatmap function provides the same functionality as the Plot
  Heatmap menu item from the Display menu on the control window.  Creating a
  heatmap view can only be performed when the active MVC object has a model
  with class 'exprModel' (i.e. it is an exprSet).  The user has the choice of
  using all the data from the active model, which is the default
  (i.e. mVar = ""), or a subset of the model data.  To use a subset of the
  data, then the mVar parameter lets the user subset the data using a model
  variable, which must be a logical vector. 
}
\usage{
createHeatmap(mVar = "")
}
\arguments{
  \item{mVar} {the model variable to use when subsetting the model - note that
  this model variable must be a logical}
}
\author{ Elizabeth Whalen }
\seealso{  
  \code{\link{heatmap}} 
}
\examples{
  if (interactive())
  {
    library(CLL)
    data(sCLLex)
    data(sFiltert)
    class(sFiltert)
    loadData(modelData=sCLLex, dataName="CLL", typeModel="exprSet")
    setActiveMVC("CLL")
    loadModelVar(modelName="CLL", modelVarName="sFiltert", modelVar=sFiltert)
    createHeatmap(mVar="sFiltert")
  }
}
\keyword{ device }

