\name{createModelGraph}
\alias{createModelGraph}
\title{ Creates a graph to show the relationships between the models }
\description{
  createModelGraph creates a graph that represents the relationships between
  the loaded models.  In this graph, each loaded model is a node and edges
  show parent-child relationships between models.  The edges are directed with
  the edge starting at the parent model (MVC) and ending at the child model
  (MVC). 
}
\usage{
createModelGraph()
}
\value{
  Returns the graph showing the relationships among models.
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{loadData}},
  \code{\link{plotModelGraph}}  
}
\examples{
  if (interactive())
  {
    loadData(modelData=USArrests, dataName="USArrests",
             typeModel="data.frame")
    setActiveMVC("USArrests")
    # subset the USArrests data frame by taking only rows where Assault > 200
    createSubset(newModelName="USAsub",
            rowNames=rownames(USArrests)[USArrests$Assault > 200])
    # now create the graph
    mg<-createModelGraph()
  }
}
\keyword{ data }

