\name{createQQplot}
\alias{createQQplot}
\title{ Creates an interactive qq-plot }
\description{
  The createQQplot function provides the same functionality as choosing the
  Create QQ-Plot menu item from the Display menu on the control window.
  Creating a qq-plot view can only be performed when the active MVC object has
  a model with class 'gseModel' (i.e. a gene set enrichment data set).
}
\usage{
createQQplot()
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{createSpreadsheet}},
  \code{\link{createKEGGGSE}} 
}
\examples{
  if (interactive())
  {
    library(CLL)
    data(sCLLex)
    data(nsFilter)
    loadData(modelData=sCLLex, dataName="CLL", typeModel="exprSet")
    loadModelVar("CLL", "nsFilter", nsFilter)
    setActiveMVC("CLL")    
    createKEGGGSE(newModelName="CLLgse", fac="Disease", mVar="nsFilter")
    setActiveMVC("CLLgse")
    createQQplot()
  }
}
\keyword{ device }

