\name{createSPlot}
\alias{createSPlot}
\title{ Creates an interactive scatterplot }
\description{
  The createSPlot function provides the same functionality as choosing
  the Plot Data menu item from the Display menu on the control window.
  Creating a scatterplot view can only be performed when the active MVC object
  has a model with class 'dfModel' (i.e. it must be a data frame).
}
\usage{
createSPlot(varx, vary, rowNames = "")
}
\arguments{
  \item{varx}{ the variable (column) name for the x axis }
  \item{vary}{ the variable (column) name for the y axis }
  \item{rowNames}{ the row names to display (only use this parameter if the
  user wants to plot a subset of the data) }
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{createSpreadsheet}} 
}
\examples{
  if (interactive())
  {
    loadData(modelData=USArrests, dataName="USArrests",
             typeModel="data.frame")
    setActiveMVC("USArrests")
    createSPlot(varx="Murder", vary="Assault")
  }
}
\keyword{ device }

