\name{createSubset}
\alias{createSubset}
\title{ Create a child model that is a subset of the parent model }
\description{
  createSubset is a function that creates a child model that is a subset of
  the parent model.  Currently, this function is set up to work with models of
  class dfModel (data frame or matrix), but it could be changed to accommodate
  both exprSets and graphs.
}
\usage{
createSubset(newModelName, rowNames)
}
\arguments{
  \item{newModelName}{ the name of the new child model }
  \item{rowNames}{ the names of the rows to use from the parent model - this
  parameter determines the subset of the parent model that is used for the
  child model }
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{loadData}},
  \code{\link{getMethodsToCreateChild}},
  \code{\link{createGoGraph}},
  \code{\link{performMDS}} 
}
\examples{
  if (interactive())
  {
    loadData(modelData=USArrests, dataName="USArrests",
            typeModel="data.frame")
    setActiveMVC("USArrests")
    # just take the first 25 rows as the subset
    subRN<-rownames(USArrests[1:25,])
    # create the new child model
    createSubset(newModelName="USAsub", rowNames=subRN)
    getModelNames()
  }
}
\keyword{ data }

