\name{getData}
\alias{getData}
\title{ An interface function to get data }
\description{
  getData is called by any function whenever it needs data that has been
  loaded into the environment, mvcEnv.  getData returns the modelData from a
  model object that is stored in the mvcEnv variable, MVCList. 
}
\usage{
getData(modelName)
}
\arguments{
  \item{modelName}{ the name of the data to return }
}
\value{
  getData returns the data requested.  Currently, the data may be a
  data.frame, a graph, or an exprSet, depending on the model class.
}
\author{ Elizabeth Whalen }
\examples{
  if (interactive())
  {
    loadData(modelData=USArrests, dataName="USArrests", typeModel="data.frame")
    x<-getData("USArrests")
  }
}
\keyword{ data }

