\name{getKeyVals}
\alias{getKeyVals}
\title{ Returns the keys for the key press event }
\description{
  getKeyVals returns the list of key values that are used in the key press
  event for a Gtk window.  This tells the user which key press events a Gtk
  window will respond to.
}
\usage{
getKeyVals()
}
\value{
  Returns the list of accelerator key values for the key press event.  Each
  list item will contain a keyVal element, an action element, and an accelChar
  element.  The keyVal element is the numeric value of the key value, the
  action element is the function that will be called (or it tells which
  function will be called by looking at the updateControlWindow function), and
  the accelChar element is the accelerator key.
}
\author{ Elizabeth Whalen }
\seealso{  
  \code{\link{addToKeyVals}},
  \code{\link{removeKeyVals}} 
}
\examples{
  if (interactive())
  {
    loadData(modelData=USArrests, dataName="USArrests", typeModel="data.frame")
    x<-getKeyVals()    
    setActiveMVC("USArrests")
    createSpreadsheet()
    y<-getKeyVals()
  }
}
\keyword{ data }

