\name{getModelNames}
\alias{getModelNames}
\title{ Get names of the data sets stored in environment, mvcEnv }
\description{
  getModelNames returns the names of the models (data sets) stored in the 
  mvcEnv variable, MVCList.
}
\usage{
getModelNames(sort = TRUE)
}
\arguments{
  \item{sort}{a boolean telling whether the model names should be sorted}
}
\value{
  Returns a vector of model names.
}
\author{ Elizabeth Whalen }
\examples{
  if (interactive())
  {
    loadData(modelData=USArrests, dataName="USArrests", typeModel="data.frame")
    loadData(modelData=USJudgeRatings, dataName="USJudgeRatings", 
             typeModel="data.frame")
    getModelNames()
  } 
}
\keyword{data}
