\name{getModelVar}
\alias{getModelVar}
\title{ Get the Model Variables }
\description{
  getModelVar returns the modelVar slot (the model variables list) for a
  particular model that is indicated by the mName parameter.  If mName
  parameter is left blank, then the active model's modelVar slot is returned.
  If the model has no model variables, then an empty list is returned.
}
\usage{
getModelVar(mName = "")
}
\arguments{
  \item{mName}{ the name of the model (MVC) }
}
\value{
  Returns the modelVar slot for the model indicated by the mName parameter.
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{loadModelVar}} 
}
\examples{
  if (interactive())
  {
    library(CLL)
    data(sCLLex)
    data(nsFilter)
    data(sFiltert)
    loadData(sCLLex, "CLL", "exprSet")
    loadModelVar("CLL", "nsFilter", nsFilter)
    loadModelVar("CLL", "sFiltert", sFiltert)
    curMVars<-getModelVar("CLL")
    names(curMVars)
  }
}
\keyword{ data }

