\name{handleMessage-methods}
\docType{methods}
\alias{handleMessage-methods}
\alias{handleMessage,gSendChildMessage-method}
\alias{handleMessage,gSendParentMessage-method}
\alias{handleMessage,gUpdateViewMessage-method}
\alias{handleMessage,gUpdateDataMessage-method}
\alias{handleMessage,gAddDataMessage-method}
\alias{handleMessage,gAddViewMessage-method}
\alias{handleMessage,gAddChildMessage-method}
\alias{handleMessage,gAskAncestorMessage-method}
\title{ handleMessage reads and acts upon a message object }
\description{
  The handleMessage method reads and acts upon a message object so that the
  information in a message is used in the proper manner.  Every message class
  must have a handleMessage method so that the message is read. 
}
\section{Methods}{
\describe{

\item{object = "gSendChildMessage"}{ The handleMessage method for a
gSendChildMessage takes a gUpdateDataMessage object from the parent model
and convert it into a gUpdateDataMessage object for the child model.  To
perform this conversion, the handleMessage method uses the fromParent function
that is stored in the child model's linkData slot. }

\item{object = "gSendParentMessage"}{ The handleMessage method for a
gSendParentMessage takes a gUpdateDataMessage object from the child model
and convert it into a gUpdateDataMessage object for the parent model.  To
perform this conversion, the handleMessage method uses the toParent function
that is stored in the child model's linkData slot. }

\item{object = "gUpdateViewMessage"}{ The handleMessage method for a
gUpdateViewMessage object makes sure that a view is updated after the data
has changed. }

\item{object = "gUpdateDataMessage"}{ The handleMessage method for a
gUpdateDataMessage object updates the data depending on what is stored in
the gUpdateDataMessage object. }

\item{object = "gAddDataMessage"}{ The handleMessage method for a
gAddDataMessage object loads a model and creates a MVC object using the
function, loadModel. }

\item{object = "gAddViewMessage"}{ The handleMessage method for a
gAddViewMessage creates a view object. }

\item{object = "gAddChildMessage"}{ The handleMessage method for a
gAddChildMessage object loads a model and creates a MVC object using the
function, loadModel.  This method is nearly identical to the handleMessage
method for a gAddDataMessage object.  The only difference is that this
handleMessage method links the child MVC to the parent MVC after the child MVC
has been created by filling the parentMVC slot in the child MVC and the
childMVCList slot in the parent MVC. }

\item{object = "gAskAncestorMessage"}{ The handleMessage method for a
gAskAncestorMessage object finds the ancestor with the correct model type
(which is stored in the type slot).  Then this methods call the provideInfo
method for this ancestor model to get information from the ancestor.  The
information that is returned from the provideInfo method is returned from this
handleMessage method.  If there is no ancestor with the correct model type,
then NULL is returned.
}
}}
\keyword{methods}

