\name{identifyView-methods}
\docType{methods}
\alias{identifyView-methods}
\alias{identifyView,graphView-method}
\alias{identifyView,sPlotView-method}
\alias{identifyView,heatmapView-method}
\alias{identifyView,qqPlotView-method}
\title{ identifyView converts user coordinates to an object on the view}
\description{
  The identifyView method has two parameters: object and location.  Object is
  the view object and location is a list of 2 elements: x and y.  The location
  parameter gives the (x,y) user coordinates location on the view.  With this
  information, the identifyView method determines if that location is over any
  entity on the view (with an entity being a point, a node, a row, etc.).
}
\section{Methods}{
\describe{

\item{object = "graphView"}{ The identifyView method determines if the user
coordinates correspond with a node on the graph view.  The method either
returns the AgNode object that corresponds with the node or NULL if the user
coordinates don't correspond with a node. }

\item{object = "sPlotView"}{ The identifyView method determines if the user
coordinates correspond with a point on the scatter plot.  The method either
returns a list of 2 elements (these 2 elements are (x,y) location of the
closest point and the row name of the closest point) or NULL if the user
coordinates aren't close enough to a point. }

\item{object = "heatmapView"}{ The identifyView method determines if the user
coordinates correspond with either a location on the row dendrogram or a row
on the main heatmap image.  The method returns either a vector of gene names
(that correspond with the location on the row dendrogram or a row on the
main heatmap image) or NULL. }

\item{object = "qqPlotView"}{ The identifyView method determines if the user
coordinates correspond with a point on the qq-plot.  The method either
returns a list of 2 elements (these 2 elements are (x,y) location of the
closest point and the row name (i.e. the gene set) of the closest point) or
NULL if the user coordinates aren't close enough to a point. }
}}
\keyword{methods}

