\name{initialize-methods}
\docType{methods}
\alias{initialize-methods}
\alias{initialize,exprModel-method}
\alias{initialize,dfModel-method}
\alias{initialize,graphModel-method}
\alias{initialize,gseModel-method}
\alias{initialize,sPlotView-method}
\alias{initialize,spreadView-method}
\alias{initialize,graphView-method}
\alias{initialize,heatmapView-method}
\alias{initialize,qqPlotView-method}
\alias{initialize,gSendChildMessage-method}
\alias{initialize,gSendParentMessage-method}
\alias{initialize,gUpdateViewMessage-method}
\alias{initialize,gUpdateDataMessage-method}
\alias{initialize,gAddDataMessage-method}
\alias{initialize,gAddViewMessage-method}
\alias{initialize,gAddChildMessage-method}
\alias{initialize,gAskAncestorMessage-method}
\title{ Ensure an object is properly initialized }
\description{
  The initialize methods ensure that whenever an object is created, the slots
  will be filled with the proper values.
}
\section{Methods}{
\describe{

\item{.Object = "exprModel"}{ The initialize method ensures that the slots
of the exprModel object are properly filled.  In particular, the initialize
method ensures that the virtualData slot is filled with a data frame that
consists of columns referring to the default view data (now there are 4
columns referring to color, pch, highlit and hide).  The virtualData slot
ensures that all views of this model are linked. }

\item{.Object = "dfModel"}{ The initialize method ensures that the slots
of the dfModel object are properly filled.  In particular, the initialize
method ensures that the virtualData slot is filled with a data frame that
consists of columns referring to the default view data (now there are 4
columns referring to color, pch, highlit, and hide).  The virtualData slot
ensures that all views of this model are linked. }

\item{.Object = "graphModel"}{ The initialize method ensures that the slots of
the graphModel object are properly filled.  In particular, the initialize
method ensures that the virtualData slot is filled with a data frame that
consists of columns referring to the default view data (now there are 3
columns referring to color, fillcolor, and hide for the nodes).  The
virtualData slot ensures that all views of this model are linked. }

\item{.Object = "gseModel"}{ The initialize method ensures that the slots
of the gseModel object are properly filled.  In particular, the initialize
method ensures that the virtualData slot is filled with a data frame that
consists of columns referring to the default view data (now there are 4
columns referring to color, pch, highlit and hide).  The virtualData slot
ensures that all views of this model are linked. }

\item{.Object = "sPlotView"}{ The initialize method not only creates the
view object, but it also creates the Gtk window and drawing area that the
view is shown in.  So the initialize method creates both the sPlotView
object and the scatter plot. }

\item{.Object = "spreadView"}{ The initialize method not only creates the
view object, but it also creates the Gtk window and spreadsheet that the
view is shown in.  So the initialize method creates both the spreadView
object and the spreadsheet. }

\item{.Object = "graphView"}{ The initialize method not only creates the
view object, but it also creates the Gtk window and drawing area that the view
is shown in.  Thus, the initialize method creates both the graphView object
and the graph plot. }

\item{.Object = "heatmapView"}{ The initialize method not only creates the
view object, but it also creates the Gtk window and drawing area that the view
is shown in.  Thus, the initialize method creates both the heatmapView object
and the heatmap plot. }

\item{.Object = "qqPlotView"}{ The initialize method not only creates the
view object, but it also creates the Gtk window and drawing area that the
view is shown in.  Thus, the initialize method creates both the qqPlotView
object and the actual qq-plot. }

\item{.Object = "gSendChildMessage"}{ The initialize method creates the
gSendChildMessage object. }

\item{.Object = "gSendParentMessage"}{ The initialize method creates the
gSendParentMessage object. }

\item{.Object = "gUpdateViewMessage"}{ The initialize method creates the
gUpdateViewMessage object. }

\item{.Object = "gUpdateDataMessage"}{ The initialize method creates the
gUpdateDataMessage object. }

\item{.Object = "gAddDataMessage"}{ The initialize method creates the
gAddDataMessage object. }

\item{.Object = "gAddViewMessage"}{ The initialize method creates the
gAddViewMessage object. }

\item{.Object = "gAddChildMessage"}{ The initialize method creates the
gAddChildMessage object. }

\item{.Object = "gAskAncestorMessage"}{ The initialize method creates the
gAskAncestorMessage object. }
}}
\keyword{methods}

