\name{loadModel}
\alias{loadModel}
\title{ Load a Model (and a MVC) object into mvcEnv environment }
\description{
  loadModel creates a model object and a MVC object and loads them into the
  environment variable, MVCList, in mvcEnv.  This function is 
  called by the handleMessage method for a gAddDataMessage object.
  This function that ensures that there is a one to one 
  correspondence between a model and a MVC object.  
}
\usage{
loadModel(data, type, name, linkData = list(), virtualData = NULL)
}
\arguments{
  \item{data}{ the data to load into the model object }
  \item{type}{ the type of model to create (currently, can be "exprSet",
  "graph", or "data.frame" }
  \item{name}{ the name of the model }
  \item{linkData}{ the list of two functions for the linkData slot of a model
  object }
  \item{virtualData}{ the data for the virtualData slot of a model object
  (this is the data that pertains to the views so that the views are linked) }
}
\details{
  This is not meant to be called from the command line.
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{loadData}} 
}
\examples{
}
\keyword{ data }

