\name{loadModelVar}
\alias{loadModelVar}
\title{ Load a Model Variable }
\description{
  loadModelVar is a function to load a model variable to an already loaded
  model (MVC).  Model variables are information that pertains to the model,
  but should not be stored with the model.  For example, variables that are
  calculated from the model would be stored as a model variable (i.e. row
  t-test statistics for exprSets).
}
\usage{
loadModelVar(modelName, modelVarName, modelVar)
}
\arguments{
  \item{modelName}{ the name of the model (MVC) that this variable should be
  added to (call getModelNames to see the names of loaded models) }
  \item{modelVarName}{ the name of the new model variable - this is how the
  model variable will be referenced }
  \item{modelVar}{ the actual model variable values }
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{getModelNames}},
  \code{\link{getModelVar}},
  \code{\link{loadData}} 
}
\examples{
  if (interactive())
  {
    library(CLL)
    data(sCLLex)
    data(nsFilter)
    data(sFiltert)
    loadData(sCLLex, "CLL", "exprSet")
    loadModelVar("CLL", "nsFilter", nsFilter)
    loadModelVar("CLL", "sFiltert", sFiltert)
  }
}
\keyword{ data }

