\name{plotModelGraph}
\alias{plotModelGraph}
\title{ Creates a plot of the model graph }
\description{
  plotModelGraph creates a plot of the graph that shows the relationships
  between the loaded models.  Thus, this graph will show the parent-child
  relationships between the models (MVCs).  The active MVC will be a node that
  is colored red.  The edges are directed so that the edge starts at the
  parent and ends at the child (so the arrow points to the child).  This
  function provides the same functionality that is available through the
  Create Model Graph menu item under the Edit menu on the control window.
}
\usage{
plotModelGraph()
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{loadData}},
  \code{\link{createModelGraph}} 
}
\examples{
  if (interactive())
  {
    # load a data set
    loadData(modelData=USArrests, dataName="USArrests",
            typeModel="data.frame")
    # make sure it's the active model
    setActiveMVC("USArrests")
    # create a child model
    # subset the USArrests data frame by taking only rows where Assault > 200
    createSubset(newModelName="USAsub",
           rowNames=rownames(USArrests)[USArrests$Assault > 200])
    # now create the plot
    plotModelGraph()
  }
}
\keyword{ device }

