\name{provideInfo-methods}
\docType{methods}
\alias{provideInfo-methods}
\alias{provideInfo,exprModel-method}
\alias{provideInfo,dfModel-method}
\alias{provideInfo,graphModel-method}
\title{ provideInfo methods return model or controller information }
\description{
  The provideInfo method returns information about the MVC when it is asked by
  a gAskAncestorMessage object.  This allows descendants to find an ancestor
  of the correct model type and ask information about the data stored in the
  MVC.  The provideInfo method either returns the information asked for or
  returns NULL if it can't find the information that was asked for.
}
\section{Methods}{
\describe{

\item{object = "exprModel"}{ The provideInfo method can provide information
based on the genes, samples, or controller (the type parameter can be "genes",
"samples", or "controller").  If the type parameter is "genes", then
provideInfo returns an exprSet with the values for those genes.  If the type
parameter is "samples", then provideInfo returns an exprSet with the values
for those samples.  If the type parameter is "controller", then provideInfo
returns the MVC's controller slot's environment variables that were asked
for. } 

\item{object = "dfModel"}{ The provideInfo method can provide information
based on the rows, columns, or controller (the type parameter can be "rows",
"columns", or "controller").  If the type parameter is "rows", then
provideInfo returns a data frame with the values for those rows.  If the type
is "columns", then provideInfo returns a data frame with the values for those
columns.  If the type parameter is "controller", then provideInfo
returns the MVC's controller slot's environment variables that were asked
for. } 

\item{object = "graphModel"}{ The provideInfo method can provide information
based on the nodes, edges, or controller (the type parameter can be "nodes",
"edges", or "controller", though edges hasn't really been implemented yet).
If the type parameter is "nodes", then provideInfo returns the sub-graph with
only those nodes.  If the type parameter is "controller", then provideInfo
returns the MVC's controller slot's environment variables that were asked
for. } 
}}
\keyword{methods}

