\name{setChipType}
\alias{setChipType}
\title{ Sets the Affymetrix chip type }
\description{
  setChipType is only necessary if the annotation slot on the exprSet data is
  an empty string.  The annotation slot is necessary to convert the Affy ids
  into gene symbols, GO terms, etc.
}
\usage{
setChipType(chipType)
}
\arguments{
  \item{chipType}{ the Affymetrix chip type (for example: "hgu95av2") }
}
\author{ Elizabeth Whalen }
\seealso{  
  \code{\link{createHeatmap}} 
}
\examples{
  if (interactive())
  {
    library(CLL)
    data(sCLLex)
    loadData(modelData=sCLLex, dataName="CLL", typeModel="exprSet")
    setActiveMVC("CLL")
    setChipType("hgu95av2")
    data(sFiltert)
    loadModelVar(modelName="CLL", modelVarName="sFiltert", modelVar=sFiltert)
    createHeatmap(mVar="sFiltert")
  }
}
\keyword{ data }

