\name{setColor}
\alias{setColor}
\title{ Sets the color for coloring points }
\description{
  setColor sets the color when the callback function is to color something on
  a plot (for example, a point or a node).  setColor provides the same
  functionality that is normally available through a color browser when the
  user is using the GUI. 
}
\usage{
setColor(newColor)
}
\arguments{
  \item{newColor}{ A character string referring to a color (can either be a
  string like "blue" or can be a return value from the rgb function }
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{setCallFunc}}, 
  \code{\link{rgb}},
  \code{\link{getColor}}
}
\examples{
  if (interactive())
  {
    loadData(modelData=USArrests, dataName="USArrests", typeModel="data.frame")
    setActiveMVC("USArrests")
    createSPlot(varx="Murder", vary="Assault")
    setCallFunc("leftButtonClick", "color a point")
    setColor(rgb(0,1,0)) 
    # now left click on a point in the plot 
  }
}
\keyword{ data }

