\name{showHiddenValues}
\alias{showHiddenValues}
\title{ Shows the hidden values from the model }
\description{
  showHiddenValues has one parameter: hidValues, which are any values that the
  user wants to see that are currently hidden in the views of the active
  model.  To see which values are hidden, call the function, getHiddenValues.
  Any of the values returned from getHiddenValues can be used in the
  parameter, hidValues.  showHiddenValues will update the model so that these
  data points are no longer hidden in the views.  This function provides the
  same functionality as the Show Hidden Values menu item in the Edit menu on
  the GUI.
}
\usage{
showHiddenValues(hidValues)
}
\arguments{
  \item{hidValues}{ the names of the hidden data points (can be found by
  calling the function, getHiddenValues) }
}
\author{ Elizabeth Whalen }
\seealso{ 
  \code{\link{getHiddenValues}}  
}
\examples{
  if (interactive())
  {
    loadData(modelData=USArrests, dataName="USArrests",
       typeModel="data.frame")
    setActiveMVC("USArrests")
    createSPlot(varx="Murder", vary="Assault")
    setCallFunc("leftButtonClick", "hide a point")
    # now the user needs to click a point with the left button and then call:
    hidVal<-getHiddenValues()
    showHiddenValues(hidVal)
  }
}
\keyword{ data }

