\name{updateModel-methods}
\docType{methods}
\alias{updateModel-methods}
\alias{updateModel,exprModel-method}
\alias{updateModel,dfModel-method}
\alias{updateModel,graphModel-method}
\alias{updateModel,gseModel-method}
\title{ updateModel methods will update the model (data set) }
\description{
  The updateModel method will update the model (data) when a user has
  interacted with a view of this model or if a model that is linked to this
  model has changed.  The updateModel method currently only updates the
  virtualData slot because the virtualData slot stores the data that ensures
  that all views are visually linked. 
}
\section{Methods}{
\describe{

\item{object = "exprModel"}{ The updateModel method updates the virtualData
slot of an exprModel object so that all views of this model are linked. }

\item{object = "dfModel"}{ The updateModel method updates the virtualData
slot of a dfModel object so that all views of this model are linked. }

\item{object = "graphModel"}{ The updateModel method updates the virtualData
slot of a graphModel so that all views of this model are linked.  Currently,
only the nodes can be changed (changing edges has not been implemented). }

\item{object = "gseModel"}{ The updateModel method updates the virtualData
slot of a gseModel so that all views of this model are linked.  Note that the
unit of interest for gseModel are the gene sets (so the row names of the
virtualData slot refer to the gene sets). }
}}
\keyword{methods}

