\name{updateView-methods}
\docType{methods}
\alias{updateView-methods}
\alias{updateView,sPlotView-method}
\alias{updateView,spreadView-method}
\alias{updateView,graphView-method}
\alias{updateView,heatmapView-method}
\alias{updateView,qqPlotView-method}
\title{ updateView redraws only a portion of a view }
\description{
  The updateView method redraws only a portion of a view.  For example, if
  only one row changes in a data frame model, then only the point that refers
  to that row will be redrawn.  Note that this is different from the
  redrawView method which completely redraws the view.  Currently, the
  redrawView methods have not been defined.  
}
\section{Methods}{
\describe{

\item{object = "sPlotView"}{ The updateView method replots a point in the
scatter plot because the row that the point represents was changed in the
model. }

\item{object = "spreadView"}{ The updateView method selects or unselects a
row in the spreadsheet depending on how the underlying data changed. }

\item{object = "graphView"}{ The updateView method redraws a node in the
graph plot because that node has been updated in the model.  Currently, edges
can not be changed because that functionality has not been implemented. }

\item{object = "heatmapView"}{ The updateView method for a heatmapView either
redraws the whole heatmap (if a gene was hidden) or it redraws the text on the
side of the heatmap if a gene was highlighted or colored (in other words, the
text on the side of the heatmap indicates which genes were selected). }

\item{object = "qqPlotView"}{ The updateView method replots a point in the
qq-plot because the row that the point represents was changed in the
model (in particular, the row in the virtualData slot was updated). }
}}
\keyword{methods}

